Locations feed

NOTE: The Vehicle Locations API is an older API that does not combine GPS data with onboard diagnostics. Try our new Vehicle Stats API instead.

Follow a continuous feed of all vehicle locations from Samsara Vehicle Gateways.

Your first call to this endpoint will provide you with the most recent location for each vehicle and a pagination object that contains an endCursor.

You can provide the endCursor to the after parameter of this endpoint to get location updates since that endCursor.

If hasNextPage is false, no updates are readily available yet. We'd suggest waiting a minimum of 5 seconds before requesting updates.

Related guide: Vehicle Locations.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

To use this endpoint, select Read Vehicle Statistics under the Vehicle category when creating or editing an API token. Learn More.

Query Params
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

parentTagIds
array of strings

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

parentTagIds
tagIds
array of strings

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

tagIds
vehicleIds
array of strings

A filter on the data based on this comma-separated list of vehicle IDs. Example: vehicleIds=1234,5678

vehicleIds
Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json